You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@ozone.apache.org by di...@apache.org on 2020/06/18 03:31:46 UTC

[hadoop-ozone] branch master updated: HDDS-3796. Allow running coverage locally (#1072)

This is an automated email from the ASF dual-hosted git repository.

dineshc pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/hadoop-ozone.git


The following commit(s) were added to refs/heads/master by this push:
     new 4c3f9d5  HDDS-3796. Allow running coverage locally (#1072)
4c3f9d5 is described below

commit 4c3f9d505e8d39aea6c06c7cb27cd8c58ee98484
Author: Doroszlai, Attila <64...@users.noreply.github.com>
AuthorDate: Thu Jun 18 05:31:35 2020 +0200

    HDDS-3796. Allow running coverage locally (#1072)
---
 .github/workflows/post-commit.yml                            |  2 +-
 .github/workflows/pr.yml                                     |  2 +-
 .../dev-support/checks/coverage.sh                           | 12 ++++++------
 3 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/.github/workflows/post-commit.yml b/.github/workflows/post-commit.yml
index 6f1225c..0d53eeb 100644
--- a/.github/workflows/post-commit.yml
+++ b/.github/workflows/post-commit.yml
@@ -174,7 +174,7 @@ jobs:
        - uses: actions/download-artifact@v2
          with:
             path: target/artifacts
-       - run: ./.github/coverage-report.sh
+       - run: ./hadoop-ozone/dev-support/checks/coverage.sh
        - uses: ./.github/buildenv
          if: github.repository == 'apache/hadoop-ozone'
          with:
diff --git a/.github/workflows/pr.yml b/.github/workflows/pr.yml
index cd5eb96..2f73ea6 100644
--- a/.github/workflows/pr.yml
+++ b/.github/workflows/pr.yml
@@ -172,7 +172,7 @@ jobs:
       - uses: actions/download-artifact@v2
         with:
           path: target/artifacts
-      - run: ./.github/coverage-report.sh
+      - run: ./hadoop-ozone/dev-support/checks/coverage.sh
       - name: Upload coverage to Codecov
         uses: codecov/codecov-action@v1
         with:
diff --git a/.github/coverage-report.sh b/hadoop-ozone/dev-support/checks/coverage.sh
similarity index 85%
rename from .github/coverage-report.sh
rename to hadoop-ozone/dev-support/checks/coverage.sh
index 9e9255d..3d652f8 100755
--- a/.github/coverage-report.sh
+++ b/hadoop-ozone/dev-support/checks/coverage.sh
@@ -14,15 +14,15 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-#This script can merge the downloaded jacoco files from other artifacts
-#Works only in github environment where the jacoco .exec files are downloaded
-#from job artifacts
+# This script merges the combined jacoco files (output of unit.sh and others)
+# and generates a report in HTML and XML formats
+
 DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"
-cd "$DIR/.." || exit 1
+cd "$DIR/../../.." || exit 1
 
 set -ex
 
-REPORT_DIR="$DIR/../target/coverage"
+REPORT_DIR="$DIR/../../../target/coverage"
 
 mkdir -p "$REPORT_DIR"
 
@@ -34,7 +34,7 @@ jacoco() {
 }
 
 #Merge all the jacoco.exec files
-jacoco merge $(find target/artifacts -name jacoco-combined.exec) --destfile "$REPORT_DIR/jacoco-all.exec"
+jacoco merge $(find target -name jacoco-combined.exec) --destfile "$REPORT_DIR/jacoco-all.exec"
 
 rm -rf target/coverage-classes || true
 mkdir -p target/coverage-classes


---------------------------------------------------------------------
To unsubscribe, e-mail: ozone-commits-unsubscribe@hadoop.apache.org
For additional commands, e-mail: ozone-commits-help@hadoop.apache.org